.section.table-section.classic {
    overflow: hidden;
    height: calc(100% - 49px);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: fit-content;
    margin: auto;
    max-width: 100%;
}

.section.table-section.classic.can-edit {
    height: calc(100% - 96px);
}
.section.table-section.classic.can-edit {
    height: calc(100% - 96px);
}

.section.table-section.classic.count-filters-1 {
    height: calc(100% - 89px);
}

.section.table-section.classic.count-filters-1.can-edit {
    height: calc(100% - 136px);
}

.section.table-section.classic.count-filters-2 {
    height: calc(100% - 129px);
}

.section.table-section.classic.count-filters-2.can-edit {
    height: calc(100% - 176px);
}

.section.table-section.classic.count-filters-3 {
    height: calc(100% - 169px);
}

.section.table-section.classic.count-filters-3.can-edit {
    height: calc(100% - 216px);
}

.section.table-section.classic.count-filters-4 {
    height: calc(100% - 209px);
}

.section.table-section.classic.count-filters-4.can-edit {
    height: calc(100% - 256px);
}

.section.table-section.classic .table-head-block {
    flex: none;
    z-index: 1;
}

.section.table-section.classic table {
    font-size: 13px;
}

.section.table-section.classic .table-default,
.section.table-section.classic td {
    border: 1px solid #cccccc;
}

.section.table-section.classic th {
    font-weight: bold;
    padding: 5px;
    position: relative;
    border: 1px solid #cccccc;
}


.section.table-section.classic.show-mode th div.remove {
    display: none;
}

.section.table-section.classic th div.remove {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 2px 2px;
}

.section.table-section.classic.edit-mode th label {
    font-weight: normal;
    display: block;
    vertical-align: middle;
    text-align: left;
}

.section.table-section.classic.edit-mode th label input[type="checkbox"] {
    width: auto;
    vertical-align: middle;
}


.section.table-section.classic td {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    position: relative;
}

.section.table-section.classic.show-scroll {
    padding: 0;
    /*margin: 0;*/
}

.section.table-section.classic.show-scroll .table-body-block::-webkit-scrollbar {
    width: 15px !important;
    overflow: auto;
    -ms-overflow-style: auto;
}

.section.table-section.classic .table-body-block {
    margin-top: -1px;
    overflow: auto;
    height: calc(100% - 48px);
    max-width: 100%;
}

.section.table-section.classic .table-body-block .row-template {
    display: none;
}

.section.table-section.classic input.editor-input {
    width: calc(100% - 4px);
}

.section.table-section.classic .number-format {
    text-align: right;
}

.edit-section-block {
    padding: 10px 0;
    position: relative;
    z-index: 1;
}
.edit-section-block.table-popup{
    text-align: left;
}

.section.table-section.classic.section-fixed {
    display: flex;
    flex-direction: row;
    align-items: stretch;
}

.section.table-section.classic.section-fixed .content-box {
    display: flex;
    flex-direction: column;
    /*flex-shrink: 0;*/
    /*flex-grow: 0;*/
    /*flex-basis: auto;*/
    justify-content: flex-start;
    align-items: flex-start;
}

.section.table-section.classic.section-fixed .content-box .fixed-block.hidden-scroll {
    scrollbar-width: none;
}

.section.table-section.classic.section-fixed .content-box .fixed-block.hidden-scroll::-webkit-scrollbar {
    width: 0 !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}

.section.table-section.classic.section-fixed .content-box .fixed-block {
    z-index: 15;
}

.section.table-section.classic.section-fixed .content-box:first-child {
    height: calc(100% - 15px);
}

.section.table-section.classic.section-fixed .content-box + .content-box {
    margin-left: -2px
}


.section.table-section.classic.section-fixed .w {
    width: 0;
    max-width: 0;
    min-width: 0;
    visibility: hidden;
    padding-left: 0;
    padding-right: 0;
    opacity: 0;
    border-left: 0;
    border-right: 0;
}

label.editor-input {
    display: block;
    white-space: nowrap;
    cursor: pointer;
}

label.editor-input input[type="checkbox"] {
    vertical-align: -2px;
}



.table-wrapper table.tablesorter thead th i.tablesorter-icon,
.section.classic:not(.arenda-section) table.tablesorter thead th i.tablesorter-icon {
    background-position: center bottom !important;
    position: absolute !important;
    width: 100% !important;
    bottom: 5px !important;
    height: 20px !important;
    display: block !important;
    padding-bottom: -4px !important;
    top: auto !important;
}

.table-wrapper table.tablesorter th:not(.sorter-false),
.section.classic:not(.arenda-section) table.tablesorter:not([class*="-table"]) thead th:not(.sorter-false) {
    position: relative;
    padding-right: 5px !important;
    padding-bottom: 20px;
}

/*.table-wrapper table.tablesorter:not([class*="-table"]) thead th:not(.sorter-false),*/
.section.classic table.preload-width tbody td:not(.sorter-false), .section.classic table.tablesorter:not([class*="-table"]) tbody td:not(.sorter-false){
    padding: 5px;
}

.th-title{
    padding-bottom: 5px;
}

.show-mode .open-file {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    min-width: 0;
    flex-basis: 100%;
}
.show-mode .open-file .open-file-content{
    display: block;
    width: 100%;
    align-self: center;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 0 5px;
}

.test td select:not(.height-normal),
.test td .editor-input:not(.height-normal){
    position: absolute;
    left: 0;
    top: 0;
    width: calc(100% - 10px) !important;
    height: calc(100% - 10px) !important;
    padding: 5px;
    border: 0;
}

.test td select:not(.height-normal){
    width: calc(100%) !important;
    height: calc(100%) !important;
}


.fb-table td{
    width: 400px; max-width: 400px; min-width: 400px; padding: 5px; position: relative; text-align: left;
}

.fb-table-title{
    width: calc(100% - 20px); overflow: hidden;
}

.fb-table-remove{
    position: absolute !important; top: 0 !important; right: 0 !important; height: 100% !important; width: 20px !important; display: flex !important; justify-content: center !important; align-items: center !important; margin: auto !important;
}

.text-overflow{
    white-space: nowrap;
    overflow: hidden;
}

.edit-mode.test td .upload-file-block{
    position: absolute;
    top: 0;
    left: 0;
    width: 20px;
    height: 100%;
    background-image: url("/images/blank_doc.png");
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
    display: block;
    cursor: pointer;
}

.section.test.classic.edit-mode .upload-table{
    background-image: url("/images/blank_doc.png");
    background-size: 22px;
    background-position: center center;
    background-repeat: no-repeat;
    cursor: pointer;
}

.show-mode.test.classic.show-mode .upload-table.has-file{
    cursor: pointer;
}

.show-mode.test td .upload-file-block{
    display: none;
}

.test td .upload-file-block + .editor-input{
    left: 20px !important;
    width: calc(100% - 30px) !important;
}

.test td.hasFile .upload-file{
    cursor: pointer;
    color: #006699;
}

.search-block{
    display: flex;
    flex-direction: row;
    align-content: stretch;
    justify-content: center;
    margin-bottom: 15px;
    height:25px;
    position: relative;
}

.search-block .subtitle-genre{
    position: absolute;
    left: 0;
    top: 4px;
}

.search-block input{
    padding: 0 10px;
}